Fixing Cannot load XPCOM for nightingale on Ubuntu 10.04

Basically it can’t find the xulrunner libraries

running the ‘nightingale’ script as: strace -vv -ff sh -vex nightingale –debug 2>&1 showed me it was looking for libxul.so and failing

finding that: smeacher@pandora:~/bin/Nightingale$ dpkg -S libxul.so thunderbird: /usr/lib/thunderbird/libxul.so xulrunner-1.9.2-dev: /usr/lib/xulrunner-devel-1.9.2.28/sdk/lib/libxul.so xulrunner-1.9.2: /usr/lib/xulrunner-1.9.2.28/libxul.so

So then add that path to that looked for via ldconfig (where to load/search for $LD_LIBRARY_CONFIG) sudo vim /etc/ld.so.conf.d/x86_64-linux-gnu.conf add /usr/lib/xulrunner-1.9.2.28

then run

sudo ldconfig to update this cache

You can also look here for a ppa: http://forum.getnightingale.com/thread-600-post-2749.html#pid2749

except this package requires firefox (and I have UX installed), although it really only need xulrunner as shown above

so install without firefox via: aptitude download nightingale sudo dpkg -i –ignore-depends=firefox nightingale_1.11.0-80~lucid_amd64.deb

Leave a Reply

You must be logged in to post a comment.